Bug 121940 - Tooltip displayed by Redo button changes from 'Redo' to 'Re~do' when the button is sensitive
Summary: Tooltip displayed by Redo button changes from 'Redo' to 'Re~do' when the butt...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.2 all versions
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.0.2 target:6.1.5
Keywords: bibisected, bisected
Depends on:
Blocks: GTK3 Toolbars-Tooltips
  Show dependency treegraph
 
Reported: 2018-12-06 11:47 UTC by Amr Ibrahim
Modified: 2019-01-13 14:01 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Amr Ibrahim 2018-12-06 11:47:16 UTC
Steps:

1. Open Writer
2. Write anything
3. Press Undo
4. Hover on Redo button and look at the tooltip
5. Tooltip changes to 'Re~do'

Version: 6.1.3.2
Build ID: 1:6.1.3~rc2-0ubuntu0.18.04.2
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-GB (en_GB.UTF-8); Calc: group threaded
Comment 1 Durgapriyanka 2018-12-06 16:43:41 UTC
Thank you for reporting the bug. I can not reproduce the bug. However,the alphabet 'd'is underlined in the Tool tip 'Redo' after hovering on it.

Version: 6.1.3.2
Build ID: 86daf60bf00efa86ad547e59e09d6bb77c699acb
CPU threads: 2; OS: Windows 6.1; UI render: default; 
Locale: en-US (en_US); Calc: group threaded
Comment 2 Amr Ibrahim 2018-12-06 17:04:37 UTC
The Redo button has to be sensitive in order to see the wrong tooltip. A normal tooltip appears when the button is insensitive.
Comment 3 Roman Kuznetsov 2018-12-21 21:42:49 UTC
confirm in Writer in

Version: 6.2.0.1
Build ID: 0412ee99e862f384c1106d0841a950c4cfaa9df1
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

GTK3 problem?
Comment 4 Xisco Faulí 2018-12-26 16:01:46 UTC
This started to happen after https://cgit.freedesktop.org/libreoffice/core/commit/?id=c96eeb5bf2ef428e7d147258d69825ff97acb226

author	Caolán McNamara <caolanm@redhat.com>	2015-12-14 14:10:11 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2015-12-14 14:36:09 +0000
commit	c96eeb5bf2ef428e7d147258d69825ff97acb226 (patch)
tree	4471b99be4b5adedc2e8901eb35159397ce65b25
parent	01ef12d173fb2c54a49186c8eb4fa40288b82945 (diff)
Resolves: rhbz#1289394 gtk3: implement tooltips natively
Comment 5 Commit Notification 2019-01-08 15:11:16 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/8249fc75a28fe6434a9b60c50487e8f2a2e1e588%5E%21

Resolves: tdf#121940 mnemonic ends up in tooltip text

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2019-01-08 15:19:24 UTC
backports in gerrit, fixed in master
Comment 7 Commit Notification 2019-01-08 21:55:03 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/6b2f6e5062ee4320ab952fd11684c389432bb568%5E%21

Resolves: tdf#121940 mnemonic ends up in tooltip text

It will be available in 6.2.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-01-09 14:01:43 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/fd373f5f584d9de82cce76b98bd21f7dfe38844c%5E%21

Resolves: tdf#121940 mnemonic ends up in tooltip text

It will be available in 6.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 BogdanB 2019-01-13 14:01:59 UTC
Solved on
Version: 6.2.1.0.0+
Build ID: d94f96c56d858cfd20bd7fac0c357ea0ecc24785
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:libreoffice-6-2, Time: 2019-01-12_20:23:00
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded

Verified also for 6.3 on
Version: 6.3.0.0.alpha0+
Build ID: afbbdcc216a84b59fb263777659b044c4a7cf6f0
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-01-13_03:54:12
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded